<!DOCTYPE HTML>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="Content-Language" content="en-us">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="initial-scale=1.0, user-scalable=yes, width=device-width">
    <meta http-equiv="imagetoolbar" content="no"/>
    <title>{% block title %}GitLab Webhooks{% endblock %}</title>
    <link rel="stylesheet" href="https://tools-static.wmflabs.org/cdnjs/ajax/libs/bootstrap/5.3.3/css/bootstrap.min.css" integrity="sha512-jnSuA4Ss2PkkikSOLtYs8BlYIeeIK1h99ty4YfvRPAlzr377vr3CXDb7sb7eEEBYjDtcYj+AjBH3FLv5uSJuXg==" crossorigin="anonymous">
    {% block css %}{% endblock %}
  </head>
  <body>
    {% block navbar %}
    <nav class="navbar navbar-expand-md bg-body-tertiary">
      <div class="container-fluid">
        <a class="navbar-brand" href="{{ url_for('home') }}">
            GitLab Webhooks
        </a>
        <button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbar" aria-expanded="false" aria-controls="navbar" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            {% block navright %}{% endblock %}
          </ul>
        </div>
      </div>
    </nav>
    {% endblock %}
    {% block banner %}{% endblock banner %}
    <div id="content" class="container-fluid">
      {% block pre_content %}
      {% with messages = get_flashed_messages(with_categories=true) %}
        {% if messages %}
          {% for category, message in messages %}
            <div class="alert alert-{{category}} alert-dismissible" role="alert">
              {{ message }}
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          {% endfor %}
        {% endif %}
      {% endwith %}
      {% endblock %}
      {% block content %}{% endblock %}
      {% block post_content %}{% endblock post_content %}
    </div>
    <footer class="footer" role="contentinfo">
      <div class="container-fluid">
        <div class="row"><hr></div>
        <div class="row">
          <div class="col-sm-6">
            <img src="https://tools-static.wmflabs.org/static/logos/powered-by-tool-labs.png" alt="Powered by Wikimedia Toolforge">
          </div>
          <div class="col-sm-6 text-muted text-end">
            <a id="source" href="https://gitlab.wikimedia.org/repos/releng/gitlab-webhooks">Source</a>
            ·
            <a id="issues" href="https://phabricator.wikimedia.org/project/profile/5556/">Issues</a>
            ·
            <a id="docs" href="https://wikitech.wikimedia.org/wiki/GitLab/Webhooks">Docs</a>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 text-muted text-end">
            <span id="version">{{ version }}</span>
          </div>
        </div>
      </div>
    </footer>
    {% block js %}
    <script src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/bootstrap/5.3.3/js/bootstrap.min.js" integrity="sha512-ykZ1QQr0Jy/4ZkvKuqWn4iF3lqPZyij9iRv6sGqLRdTPkY69YX6+7wvVGmsdBbiIfN/8OdsI7HABjvEok6ZopQ==" crossorigin="anonymous"></script>
    {% endblock %}
  </body>
</html>
